LibreOffice: DocumentSettings Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | Public Attributes | List of all members
DocumentSettings Service Referencepublished

describes properties that apply to the whole presentation document. More...

Inheritance diagram for DocumentSettings:

## Included Services
service | com::sun::star::document::Settings
| This service documents the common properties of an office document.
service | com::sun::star::document::HeaderFooterSettings
| This service configures the header and footer settings during print.

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
| provides access to the properties.
Exported Interfaces inherited from Settings
interface | com::sun::star::beans::XPropertySet
| gives access to the properties implemented by this service.
Exported Interfaces inherited from HeaderFooterSettings
interface | com::sun::star::beans::XPropertySet
| gives access to the properties implemented by this service.

## Public Attributes
boolean | IsPrintDrawing
| enables or disables the printing of the drawing pages
boolean | IsPrintNotes
| enables or disables the printing of the notes pages
boolean | IsPrintHandout
| enables or disables the printing of the handout pages
boolean | IsPrintOutline
| enables or disables the printing of the outline pages
boolean | IsPrintHiddenPages
| enables or disables the printing of draw pages that are marked hidden
boolean | IsPrintFitPage
| enables or disables the fitting of the page to the printable area during print
boolean | IsPrintTilePage
| if this is true and the paper size for printing is larger than the paper size of the printer than the content is tiled over multiple pages.
long | PageNumberFormat
| is the number format used for page number fields
boolean | ParagraphSummation
| If this is true, the distance between two paragraphs is the sum of ParaBottomMargin of the previous and ParaTopMargin of the next paragraph.
Public Attributes inherited from Settings
com::sun::star::i18n::XForbiddenCharacters | ForbiddenCharacters
| gives access to the set of forbidden characters.
short | LinkUpdateMode
| specifies the update mode for links when loading text documents.
string | PrinterName
| printer used by the document.
boolean | IsKernAsianPunctuation
| specifies if kerning is applied to Asian punctuation.
short | CharacterCompressionType
| specifies the compression (character spacing) type used for Asian characters.
boolean | ApplyUserData
| specifies if the user-specific settings saved within a document should be loaded with the document.
boolean | SaveVersionOnClose
| specifies if a new version is created if a document has been modified and you want to close it.
boolean | UpdateFromTemplate
| specifies if the document should be updated when the template it was created from changes.
boolean | FieldAutoUpdate
| specifies if fields in text documents are updated automatically.
string | CurrentDatabaseDataSource
| The name of the globally registered com::sun::star::sdb::DataSource from which the current data is taken.
string | CurrentDatabaseCommand
| a string value, specifying the name of the object displayed currently (or the SQL statement used).
long | CurrentDatabaseCommandType
| determines the interpretation of the property DataTableName.
long | DefaultTabStop
boolean | IsPrintBooklet
| determines if the document will be printed as a booklet (brochure), i.e., two document pages are put together on one physical page, such that you can fold the print result and get a booklet.
boolean | IsPrintBookletFront
| is only effective, if IsPrintBooklet is `TRUE`.
boolean | IsPrintBookletBack
| is only effective, if IsPrintBooklet is `TRUE`.
long | PrintQuality
| how printing uses color.
string | ColorTableURL
| contains the URL that points to a color table (file extension .soc) that will be used for showing a palette in dialogs using colors.
string | DashTableURL
string | LineEndTableURL
string | HatchTableURL
string | GradientTableURL
string | BitmapTableURL
boolean | AutoCalculate
short | PrinterIndependentLayout
| forbid use of printer metrics for layout
boolean | AddExternalLeading
| layout engine should add value of a Font's "external leading" attribute to the line spacing.
boolean | EmbedFonts
| Whether to embed fonts used by the document (see e.g.
boolean | EmbedSystemFonts
| Whether to embed also system fonts used by the document.
boolean | EmbedOnlyUsedFonts
| Whether to embed only the fonts that are used in the document.
boolean | EmbedLatinScriptFonts
| Whether to embed Latin script fonts.
boolean | EmbedAsianScriptFonts
| Whether to embed Asian script fonts.
boolean | EmbedComplexScriptFonts
| Whether to embed Complex script fonts.

## Additional Inherited Members
Public Types inherited from Settings
typedef sequence< byte > | PrinterSetup
| platform and driver dependent printer setup data.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Attributes inherited from HeaderFooterSettings
boolean | IsPrintPageName
| enables or disables the printing of the page name in the header or footer
boolean | IsPrintDate
| enables or disables the printing of the date in the header or footer
boolean | IsPrintTime
| enables or disables the printing of the current time in the header or footer

## Detailed Description

describes properties that apply to the whole presentation document.

## Exported Interfaces

## ◆ com::sun::star::document::HeaderFooterSettings

service com::sun::star::document::HeaderFooterSettings
| optional

This service configures the header and footer settings during print.

## ◆ com::sun::star::document::Settings

service com::sun::star::document::Settings

This service documents the common properties of an office document.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

provides access to the properties.

## Member Data Documentation

## ◆ IsPrintDrawing

boolean IsPrintDrawing
| optionalproperty

enables or disables the printing of the drawing pages

## ◆ IsPrintFitPage

boolean IsPrintFitPage
| optionalproperty

enables or disables the fitting of the page to the printable area during print

## ◆ IsPrintHandout

boolean IsPrintHandout
| optionalproperty

enables or disables the printing of the handout pages

## ◆ IsPrintHiddenPages

boolean IsPrintHiddenPages
| optionalproperty

enables or disables the printing of draw pages that are marked hidden

## ◆ IsPrintNotes

boolean IsPrintNotes
| optionalproperty

enables or disables the printing of the notes pages

## ◆ IsPrintOutline

boolean IsPrintOutline
| optionalproperty

enables or disables the printing of the outline pages

## ◆ IsPrintTilePage

boolean IsPrintTilePage
| optionalproperty

if this is true and the paper size for printing is larger than the paper size of the printer than the content is tiled over multiple pages.

## ◆ PageNumberFormat

long PageNumberFormat
| optionalproperty

is the number format used for page number fields

Values 0-7 are supported.

See also
  com::sun::star::style::NumberingType

## ◆ ParagraphSummation

boolean ParagraphSummation
| optionalproperty

If this is true, the distance between two paragraphs is the sum of ParaBottomMargin of the previous and ParaTopMargin of the next paragraph.

If false, only the greater of the two is chosen.

The documentation for this service was generated from the following file:

- com/sun/star/presentation/DocumentSettings.idl